{% load staticfiles %}
<!DOCTYPE HTML>
<html>
    <head>
            <title>Hardlexander's Personal Website</title>
            <link href="{% static 'css/bootstrap.css' %}" rel='stylesheet' type='text/css' />
            <link href="{% static 'css/subscribe.css' %}" rel='stylesheet' type='text/css' />
            
            <!-- jQuery (necessary for Bootstrap's JavaScript plugins) -->
            <script src="{% static 'js/jquery.min.js' %}"></script>
            <script src="{% static 'js/jquery-ui.js' %}"></script>
            <link href="{% static 'css/jquery-ui.css' %}" rel='stylesheet' type='text/css' />
            
            <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js"></script>
            <!-- Datatable js and css -->
            <link href='//cdn.datatables.net/1.10.19/css/jquery.dataTables.min.css' rel='stylesheet' type='text/css' />
            <script src='//cdn.datatables.net/1.10.19/js/jquery.dataTables.min.js'></script>
            



            {% csrf_token %}
            <script>
                    $(document).ready(function() {
                        var emailValid = false;

                        function check_email(email, handleData){
                            $.ajax({
                                url: "../check_email/",
                                data: {
                                    'email' : email
                                },
                                success: function(data) {
                                    handleData(data);
                                },
                                error: function(data, error){
                                    alert(error.message)
                                }
                            });

                        }

                        function check_password(email,password, handleData){
                            $.ajax({
                                url: '../check_password/',
                                data: {
                                    'email' : email,
                                    'password': password
                                },
                                success: function(data) {
                                    handleData(data);
                                },
                                error: function(data, error){
                                    alert("error check pasword \n"+error.message)
                                }
                            })
                        }

                        $('#email').on('change', function() {
                            var email = $('#email').val();
                            check_email(email, function(output){
                                if (output === 'True'){
                                    $('#warning').css('visibility', '');
                                    $('#success').css('visibility', 'hidden');
                                    emailValid = false;
                                    set_notif(false);
                                } else {
                                    $('#success').css('visibility', '');
                                    $('#warning').css('visibility', 'hidden');
                                    emailValid = true;
                                    set_notif(true); 
                                }
                            });
                            
                        });

                        

                        function set_notif(con){
                            var txt ='';
                            if(!con){
                                $('#notif').css('visibility', 'visible');
                                $('#notif').removeClass('alert alert-success  col-md-6').addClass('alert alert-danger col-md-6');
                                txt = '<strong>Email already exists!</strong> Please use another email address.';
                                $('#notif').html(txt);

                            } else {
                                $('#notif').removeClass('alert alert-danger col-md-6').addClass('alert alert-success  col-md-6');
                                $('#notif').css('visibility', 'visible');
                                txt = '<strong>Email not registered yet.</strong> You can use that Email.';
                                $('#notif').html(txt);
                            }

                        };

                 
                        var toValidate = $('#nama, #email, #password'), valid = false;
                        toValidate.keyup(function () {
                            if ($(this).val().length > 0) {
                                $(this).data('valid', true);
                            } else {
                                $(this).data('valid', false);
                            }
                            toValidate.each(function () {
                                if ($(this).data('valid') == true) {
                                    valid = true;
                                } else {
                                    valid = false;
                                }
                            });
                            if (valid === true && emailValid === true) {
                                $("#btn").prop('disabled', false);
                            } else {
                                $("#btn").prop('disabled', true);
                            }
                        });
                        

                        $('#btn').click(function(){
                            var formdata = {
                                'nama': $('#nama').val(),
                                'email': $('#email').val(),
                                'password': $('#password').val(),
                                'csrfmiddlewaretoken':'{{csrf_token}}'
                             };

                            
                            $.ajax({
                                type:'POST',
                                url:'/index/subscribe/',
                                data: formdata,
                                dataType: 'json',
                                success: function(response){
                                    alert('Berhasil Subscribe Boskuh');
                                },
                                error: function(error){
                                    alert('Berhasil Subscribe Boskuh');
                                }
                            });

                        });

                        $('#unsub').click(function(){

                             $.ajax({
                                type:'POST',
                                url:'/index/unsubscribe/',
                                data: {
                                    'email': $('#email_unsub').val(),
                                    'csrfmiddlewaretoken':'{{csrf_token}}'
                                },
                                dataType: 'json',
                                success: function(response){
                                    window.location.reload();
                                    alert('berhasil unsub')
                                },
                                error: function(error){
                                    window.location.reload();
                                }
                            });
                            

                        });

                        var email_unsub_valid = false;
                        $('#email_unsub').on('change', function() {
                            var email = $('#email_unsub').val();
                            check_email(email, function(output){
                                if (output === 'True'){
                                    $('#notif_unsub').css('visibility', '');
                                    $('#notif_unsub').removeClass('label label-danger').addClass('label label-success');
                                    txt = '<strong>Email is registered.</strong>';
                                    $('#notif_unsub').html(txt);
                                    email_unsub_valid = true;
                                } else {
                                    $('#notif_unsub').css('visibility', '');
                                    $('#notif_unsub').removeClass('label label-success').addClass('label label-danger');
                                    txt = '<strong>Email is not registered!</strong>';
                                    $('#notif_unsub').html(txt);
                                    
                                }
                            });
                            
                        });
                        $('#password_unsub').on('input', function() {
                            var password = $('#password_unsub').val();
                            var email = $('#email_unsub').val();                              

                            if(email_unsub_valid === true){
                                check_password(email, password, function(data){
                                    if (data === 'True'){
                                        $('#notif_password').css('visibility', '');
                                        $('#notif_password').removeClass('label label-danger').addClass('label label-success');
                                        txt = '<strong>Password is correct.</strong>';
                                        $('#notif_password').html(txt);
                                        $("#unsub").prop('disabled', false);
                                    } else{
                                        $('#notif_password').css('visibility', '');
                                        $('#notif_password').removeClass('label label-success').addClass('label label-danger');
                                        txt = '<strong>Password is incorrect!</strong>';
                                        $('#notif_password').html(txt);
                                        $("#unsub").prop('disabled', true);
                                    }
                                        
                                })
                            }
                        });

                    });

                    function daftar_subs(){
                        var txt ='';
                        $.ajax({
                            type:'GET',
                            url:'/index/daftar_subscriber',
                            dataType:'json',
                            success: function(response){
                                for(i in response){
                                    txt+="<tr> <td>" + response[i].fields.nama + "</td> <td>" + response[i].fields.email + "</td></tr>";
                                }
                                $('#body_table').html(txt);
                            },
                            error: function(error){
                                alert(JSON.stringify(error));
                            }
                        });
                    };
             
             </script>


    </head>
    <body>

            <div class="container contact-form">
                    <div class="contact-image">
                        <img src="https://image.ibb.co/kUagtU/rocket_contact.png" alt="rocket_contact"/>
                    </div>
                    <form>
                    <h3>Subscribe Now!</h3>
                    <div class="btn-group btn-group-justified">
                        <div class="btn-group col-md-6">
                          <button type="button" class="btn btn-primary" onclick="daftar_subs()" data-toggle="modal" data-target="#modal_daftar">List of Subscribers</button>
                        </div>
                        <div class="btn-group  col-md-6">
                          <button type="button" class="btn btn-danger" data-toggle="modal" data-target="#modal_unsub">Unsubscribe</button>
                        </div>                        
                      </div>  <br>

                       <div class="center-block ">
                            <div class="form" id="form-field">
                                <div class="form-group">
                                    <input type="text" name="nama" class="form-control" id="nama" placeholder="Your Name *" required=""/>
                                </div>
                                <div class="form-group">
                                    <input type="text" name="email" class="form-control" id="email" placeholder="Your Email *" required="" />
                                </div>
                                <div class="form-group">
                                    <input type="password" name="password" class="form-control" id="password" placeholder="Your Password *" required="" />
                                </div>
                                <div class="form-group">
                                    <input type="submit" name="btnSubmit" class="btnContactSubmit" value="Subscribe" id="btn" disabled/>
                                </div>
                                <div id="notif" style="margin:0 auto; visibility: hidden; display:inline;"></div>
                            </div>
                        </div>
                    </form>
        </div>

        <!-- The Modal -->
        <div class="modal" id="modal_daftar">
                <div class="modal-dialog">
                    <div class="modal-content">
                        <!-- Modal Header -->
                        <div class="modal-header">
                            <h4 class="modal-title">List of Subscribers</h4>
                            <button type="button" class="close" data-dismiss="modal">&times;</button>
                        </div>
                
                        <!-- Modal body -->
                        <div class="modal-body">
                            <table id="table_id" class="table table-striped table-bordered">
                        
                                    <thead>
                                        <tr>
                                            <th>Name</th>
                                            <th>Email</th>                                    
                                        </tr>
                                    </thead>
                                
                                    <tbody id="body_table"></tbody>                                    
                        
                            </table>                            
                        </div>
                
                        <!-- Modal footer -->
                        <div class="modal-footer">
                            <button type="button" class="btn btn-danger" data-dismiss="modal">Close</button>
                        </div>
                
                    </div>
                </div>
        </div>

        <!-- The Modal -->
        <div class="modal" id="modal_unsub">
                <div class="modal-dialog">
                    <div class="modal-content">
                        <!-- Modal Header -->
                        <div class="modal-header">
                            <h4 class="modal-title">Unsubscribe</h4>
                            <button type="button" class="close" data-dismiss="modal">&times;</button>
                        </div>
                
                        <!-- Modal body -->
                        <div class="modal-body">
                            <div class="center-block ">
                                    <div class="form" id="form-field">
                                            
                                        <div class="form-group">
                                            <input type="text" name="email_unsub" class="form-control" id="email_unsub" placeholder="Your Email *" required="" />
                                            <span id="notif_unsub" style="visibility: hidden; display:inline;"></span>
                                        </div>
                                        <div class="form-group">
                                            <input type="password" name="password_unsub" class="form-control" id="password_unsub" placeholder="Your Password *" required="" />
                                            <span id="notif_password" style="visibility: hidden; display:inline;"></span>
                                        </div>
                                        <div class="form-group modal-footer">
                                            <input type="submit" name="btnSubmit" class="btnContactSubmit" value="Unsubscribe" id="unsub" style="height:40px;width:100px" disabled/>
                                            <input type="button" name="btnCancel" class="btnCancel" value="Cancel" data-dismiss="modal" style="height:40px;width:100px"/>
                                        </div>
                                    </div>
                                </div>                            
                                             
                        </div>
                
                    </div>
                </div>
        </div>
      
    </body>
</html>
